//   PlagiatListenner.java --- Plagiat detector

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.plagiat;

/**
 * Ecoutes si un plagiat est trouve.
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: PlagiatListenner.java,v 1.1 2004/01/10 12:44:43 djedi Exp $
 * @since Sat Jan 10 12:29:40 2004
 */
public interface PlagiatListenner {
  /**
   * Un plagiat est trouv.
   * @param e a <code>PlagiatEvent</code> value
   */
  public void plagiatDetected(PlagiatEvent e);
}
