package org.djedi.snafu.engines;

%%


%standalone
%public
%class GoogleParser
%integer
%pack

%16bit

%{
private String tmp;
private String url, title, desc;
private GoogleEngine eng;
private Integer qid;

public void init(GoogleEngine ge, Integer qid) {
  eng = ge;
  this.qid = qid;
}
/* ------------------------ */

%}


%state URL, TITLE, TITLETAG
%state FDESC, DESC, DESCTAG

%%

<YYINITIAL> "<p class=g><a href="
		{
		  //			System.out.println("nouvelle entree");
			yybegin(URL);
		}
<YYINITIAL> "</html>"
		{
		  //			System.out.println("nouvelle entree");
			return YYEOF;
		}

<URL> {
	    ~>
		      {
			url = yytext().substring(0,yylength()-1);
			//			System.out.println("url"+url+"\n");
			tmp ="";
			yybegin(TITLE);
			}
}

<TITLE> ~"<"
	{
	  tmp += yytext().substring(0,yylength()-1);
	  //	  System.out.println("title:"+title+"\n");
	  yybegin(TITLETAG);
	}

<TITLETAG> "/a>"
	{
	  //	   System.out.println("title final:"+tmp+"\n");
	   title = tmp;
	   yybegin(FDESC);
	}
<TITLETAG> ">"
	{
	   yybegin(TITLE);
	}


<FDESC>    "<br><font size=-1>"
	{
	  tmp = "";
	  yybegin(DESC);
	}

<DESC>    ~"<"
	{
	  tmp += yytext().substring(0,yylength()-1);
	  //	  System.out.print("*");
	  yybegin(DESCTAG);
	}
<DESCTAG> "font"
	{
	  //  System.out.println("Desc:"+tmp+"\n");
	  desc=tmp;
	  eng.newSearchResult(url,title,desc,qid);
	  yybegin(YYINITIAL);
	}
<DESCTAG> ">"
	{
	  yybegin(DESC);
	}


.|\n {}
// System.out.print("."); System.out.flush();}
